#pragma once

#include <Window.h>
#include <Button.h>
#include <List.h>
#include <Table.h>

class ChatOptions : public Framework::Window
{
private:
    Framework::CheckBox* infoChannel;
    Framework::CheckBox* warningChannel;
    Framework::CheckBox* errorChannel;

    Framework::Image* plus;
    Framework::Image* trash;

    Framework::TextField* playerName;
    Framework::Button* addButton;
    Framework::ObjTable* blackList;

public:
    ChatOptions();
    ~ChatOptions();
    
    void init(char* data);
    void addIgnoredPlayer(Framework::Text playerName, bool msg);
};